10     DIM Pri$[9],Sec$[9],Rng$[9],Tim$[9],Buff$[9],Input_val$[9]
20     REAL Lim_l(1:9),Lim_u(1:9),Stat(1:200),Dat(1:200),Comp(1:200),Vmon(1:200)
30     REAL L_lim_sec,H_lim_sec,Freq,Lvl,Src_delay,Trg_delay
40     INTEGER Cbl,Nop,Rtn_stb
50     !
60     ASSIGN @Hp4268a TO 717
70     ASSIGN @Binary TO 717;FORMAT OFF
80     !
90     Pri$="CP"
100    Sec$="D"
110    Freq=120
120    Lvl=1.0
130    Rng$="1m"
140    Tim$="SHOR"
150    Src_delay=.01
160    Trg_delay=.1
170    Cbl=1
180    Nop=200
190    !
200    L_lim(1)=.000325
210    H_lim(1)=.000375
220    L_lim(2)=.000375
230    H_lim(2)=.000425
240    L_lim(3)=.000425
250    H_lim(3)=.000475
260    L_lim(4)=.000475
270    H_lim(4)=.000525
280    L_lim(5)=.000525
290    H_lim(5)=.000575
300    L_lim(6)=.000575
310    H_lim(6)=.000625
320    L_lim(7)=.000625
330    H_lim(7)=.000675
340    L_lim(8)=0.
350    H_lim(8)=0.
360    L_lim(9)=0.
370    H_lim(9)=0.
380    L_lim_sec=0.
390    H_lim_sec=.2
400    !
410    OUTPUT @Hp4268a;":SYST:PRES"
420    !
430    OUTPUT @Hp4268a;":CALC1:FORM ";Pri$
440    OUTPUT @Hp4268a;":CALC2:FORM ";Sec$
450    OUTPUT @Hp4268a;":SOUR:FREQ ";Freq
460    OUTPUT @Hp4268a;":SOUR:VOLT ";Lvl
470    OUTPUT @Hp4268a;":RANG ";Rng$
480    OUTPUT @Hp4268a;":APER ";Tim$
490    OUTPUT @Hp4268a;":CAL:CABL ";Cbl
500    !
510    CLEAR SCREEN
520    PRINT "Set Open-Connection"
530    INPUT "OK? [Y/N]",Input_val$
540    IF UPC$(Input_val$)="Y" THEN 
550      OUTPUT @Hp4268a;":CORR:COLL STAN1"
560      OUTPUT @Hp4268a;"*OPC?"
570      ENTER @Hp4268a;Buff$
580      PRINT "Open Correction Complete"
590    END IF
600    !
610    PRINT "Set Short-Connection"
620    INPUT "OK? [Y/N]",Input_val$
630    IF UPC$(Input_val$)="Y" THEN 
640      OUTPUT @Hp4268a;":CORR:COLL STAN2"
650      OUTPUT @Hp4268a;"*OPC?"
660      ENTER @Hp4268a;Buff$
670      PRINT "Short Correction Complete"
680    END IF
690    !
700    OUTPUT @Hp4268a;":CALC:COMP:MODE ABS"
710    FOR Bin=1 TO 9
720      IF L_lim(Bin)=0. AND H_lim(Bin)=0. THEN 
730        OUTPUT @Hp4268a;":CALC:COMP:PRIM:BIN"&VAL$(Bin)&":STAT OFF"
740      ELSE
750        OUTPUT @Hp4268a;":CALC:COMP:PRIM:BIN"&VAL$(Bin)&" ";L_lim(Bin);",";H_lim(Bin)
760        OUTPUT @Hp4268a;":CALC:COMP:PRIM:BIN"&VAL$(Bin)&":STAT ON"
770      END IF
780    NEXT Bin
790    OUTPUT @Hp4268a;":CALC:COMP:SEC:LIM ";L_lim_sec;",";H_lim_sec
800    OUTPUT @Hp4268a;":CALC:COMP:SEC:STAT ON"
810    OUTPUT @Hp4268a;":CALC:COMP:AUXB ON"
820    OUTPUT @Hp4268a;":CALC:COMP ON"
830    !
840    OUTPUT @Hp4268a;":TRIG:DEL ";Src_delay
850    OUTPUT @Hp4268a;":TRIG:SEQ2:DEL ";Trg_delay
860    OUTPUT @Hp4268a;":SOUR:VOLT:MODE SYNC"
870    OUTPUT @Hp4268a;":SOUR:VOLT:ALC ON"
880    OUTPUT @Hp4268a;":CALC4:MATH:STAT ON"
890    OUTPUT @Hp4268a;":CONT:VER ON"
900    OUTPUT @Hp4268a;":DATA:FEED BUF1,""CALC1"""
910    OUTPUT @Hp4268a;":DATA:FEED:CONT BUF1,ALW"
920    OUTPUT @Hp4268a;":DATA:POIN BUF1,";Nop
930    OUTPUT @Hp4268a;":TRIG:SOUR EXT"
940    !
950    OUTPUT @Hp4268a;"*CLS"
960    OUTPUT @Hp4268a;":STAT:OPER:ENAB 16"
970    OUTPUT @Hp4268a;"*SRE 128"
980    !
990    FOR I=1 TO Nop
1000     !  Triggering
1010     REPEAT
1020       OUTPUT @Hp4268a;"*STB?"
1030       ENTER @Hp4268a;Rtn_stb
1040     UNTIL BIT(Rtn_stb,7)
1050     OUTPUT @Hp4268a;"*CLS"
1060     OUTPUT @Hp4268a;":DATA? VMON"
1070     ENTER @Hp4268a;Vmon(I)
1080   NEXT I
1090   !
1100   OUTPUT @Hp4268a;":FORM REAL"
1110   OUTPUT @Hp4268a;":DATA? BUF1"
1120   ENTER @Binary USING "#,6A";Buff$
1130   FOR I=1 TO Nop
1140     ENTER @Binary;Stat(I),Dat(I),Comp(I)
1150   NEXT I
1160   ENTER @Binary USING "#,A";Buff$
1170   !
1180   CLEAR SCREEN
1190   FOR I=1 TO Nop
1200     PRINT "Stat:";Stat(I),"Data:";Dat(I),"Comp:";Comp(I),"Vmon:";Vmon(I)
1210   NEXT I
1220   END
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4268A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      05/01/2008
5050   !* PROGRAM NAME: hdl_meas.bas
5060   !* REVISION:     A.01.01
5070   !*
5080   !*     Copyright (c) Agilent Technologies,
5090   !*              All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************